﻿
.nut-picker-roller-mask{cursor: grab;}
body {
    width: 100%;
    color: #535353;
    max-width: 768px;
    margin: 0 auto;
    background-color: #f3f5f8;
}
.bg-fff{
    background-color: #fff;
}

.fixW {
    margin: 0 2.4%;
    position: relative;
}

.row {
    font-size: 0;
    text-align: center;
}

.col {
    display: inline-block;
    vertical-align: top;
    text-align: left;
}

.nodata {
    margin: .4rem auto .8rem;
    width: 3rem;
}



.flex-column{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-items: center;
    justify-content:center;
  }
  .flex-column-start{
    display: flex;
    flex-direction: column;
    align-items:flex-start;
    justify-items: center;
    justify-content:center;
  }
  .flex-column-space-between{
    display: flex;
    flex-direction: column;
    align-items:flex-end;
    justify-items: center;
    justify-content: space-between;
  }
  
  .flex-row{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-items: center;
    justify-content:center;
    flex-wrap: wrap;
  }
  
  .flex-row-start{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-items:center;
    justify-content:flex-start;
  }
  
  .flex-row-end{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-items:center;
    justify-content:flex-end;
  }
  .flex-space-between{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-items: center;
    justify-content: space-between;
  }


/* header */


.header{
    position: relative;
    height: .86rem;
    z-index: 999;
}
.header-main{
    position: fixed;
    top:0;
    width: 100%;
    height: .86rem;
    max-width: 768px;
    margin:0 auto;
    background: #fff;
}
.goback {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    line-height: .86rem;
    width: .66rem;
}

.goback img {
    height: .3rem;
}
.header-main p{
    text-align: center;
    margin:0 .66rem;
    font-size: 0.3rem;
}


/* header end */




/* banner */

:root {
    --swiper-navigation-size: 26px;
}

:root {
    --swiper-theme-color: #fff;
}
#banner{
    position: relative;
}
#banner .swiper-container {
    overflow: hidden;
}
#banner img {
    width: 100%;
}

#banner .swiper-pagination {
    bottom: -0.25rem;
    text-align: center;
    width: 100%;
    font-size: 0;
}

#banner .swiper-pagination-bullet {
    width: 0.3rem;
	height: 0.08rem;
	border-radius: 0.04rem;
    background: #0a76f9;
}



.loading-fixed{
    position: fixed;
    top:0;
    left:100%;
    width: 100vw;
    height: 100vh;
    z-index: 99999999;
}
.loading-fixed img{
    position: absolute;
    left:-50%;
    margin-left: -1.5rem;
    width: 3rem;
    background: rgba(0, 0, 0, 0.2);
    border-radius: .1rem;
    -webkit-border-radius: .1rem;
    -moz-border-radius: .1rem;
    -ms-border-radius: .1rem;
    -o-border-radius: .1rem;
}

[v-cloak] {
    display: none;
}
.go-ico{
    width: .12rem;
    background: #0765ea;
}


.close svg{
    width: .4rem;
    height: .4rem;
}
.nut-icon{
    width: .4rem;
}


.submit-btn.disabled {
    opacity: 0.5;
    pointer-events: none;
  }


  /* 弹出层 */
.error-popup-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
    z-index: 1000;
    transition: all .3s;
    -webkit-transition: all .3s;
    -moz-transition: all .3s;
    -ms-transition: all .3s;
    -o-transition: all .3s;
}
.error-popup-main{
    background: #fff;
    border-radius: 0.2rem;
    padding:.54rem 0.5rem .7rem;
    width: 5rem;
    position: relative;
}
.error-popup-close{
    position: absolute;
    right:0.26rem;
    top:0.2rem;
    width: .4rem;
}
.error-popup{

}
.error-popup img{
    width: 3.62rem;
}
.error-popup p{
    font-size: 0.28rem;
    line-height: 0.34rem;
    color: #313131;
    margin-bottom: .5rem;
    padding:0.1rem 0;
}
.error-popup .submit-btn {
    line-height: 0.86rem;
    background-image: linear-gradient(0deg, 
        #0454db 0%, 
        #0b78fb 100%);
    border-radius: 0.05rem;
    color: #fff;
    text-align: center;
    cursor: pointer;
    font-size: 0.3rem;
    width: 100%;
    margin:0;
}